### Method

# SpiceClientGLib DisplayChannel display_channel_change_preferred_video_codec_types

since: 0.38

#### Declaration [src]

    gboolean
    spice_display_channel_change_preferred_video_codec_types (
      SpiceChannel* channel,
      const gint* codecs,
      gsize ncodecs,
      GError** error
    )

#### Description [src]

Tells the spice server the ordered preferred video codec types to use for streaming in `channel`.

Available since: 0.38

#### Parameters

`codecs`

  Type: An array of `gint`

  An array of `ncodecs` `SpiceVideoCodecType` types.

  The length of the array is specified in the `ncodecs` argument.
  The data is owned by the caller of the method.

`ncodecs`

  Type: `gsize`

  The number of codec types in the `codecs` array.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the preferred codec list was successfully changed, and `FALSE` otherwise.